
#language: ru

@carc

Функционал: 017. CARC. Создание реализаций товаров

Сценарий: 017.1. CARC. Реализация товаров

	Дано Я подключаюсь под "Формирование накладных"
	Дано я удаляю объекты "Документы.РеализацияТоваровУслуг" без контроля ссылок
	Дано я удаляю объекты "Документы.КорректировкаРеализации" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2ПричиныКорректировокДокументов" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Формирование накладных'
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю кнопку выбора у поля "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '24.08.2020'
	И в поле 'DateEnd' я ввожу текст '26.08.2020'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Формирование накладных'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Транспорт/Распоряжение/Заказ' 			|
		| 'А524НВ Газель, Водитель Петров Петр'   	|
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю текущую строку с подчиненными
	И я нажимаю на кнопку 'Сформировать'
	И Я закрываю окно 'Формирование накладных'

Сценарий: 017.2. CARC. Проверка реализации товаров

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Статус'       | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | 'Сформирована' | '1 600,00, RUB' | 'Ашан(продажа тары)' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Реализация товаров * от *'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И элемент формы с именем "Контрагент" стал равен 'Ашан(продажа тары)'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Ашана (продажа тары)'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Ашан(продажа тары)'
	И элемент формы с именем "ВидЦен" стал равен 'Ашан'
	И таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'      | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'                | 'Вес, кг' |
		| '10,000'     | 'Творожный сырок'   | 'шт'  | '20%'   | '150,00'               | '<не используются>' | '1 500,00'   | '<не используются>' | '10,000, шт'     | '150,00'    | '250,00'    | '1 500,00'   | 'Склад с ячейкой тары' | '10'      |
		| '1,000'      | 'Коробка синяя'     | 'шт'  | '20%'   | '100,00'               | '<не используются>' | '100,00'     | '<не используются>' | '1,000, шт'      | '100,00'    | '16,67'     | '100,00'     | 'Склад с ячейкой тары' | '0,1'     |
		| '1,000'      | 'Пластиковый палет' | 'шт'  | '20%'   | '200,00'               | '<не используются>' | '200,00'     | '<не используются>' | '1,000, шт'      | '200,00'    | '33,33'     | '200,00'     | 'Склад с ячейкой тары' | '0,5'     |
	И элемент формы с именем "ВернутьМногооборотнуюТару" стал равен 'Да'
	И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
	И элемент формы с именем "СкидкаСумма" стал равен '0,00'
	И элемент формы с именем "СуммаНДС" стал равен '266,67'
	И элемент формы с именем "СуммаДокумента" стал равен '1 600,00'
	И элемент формы с именем "ИтогоВес" стал равен '10,600'
	И я нажимаю на кнопку 'Оформить счет-фактуру'
	Тогда открылось окно 'Счет-фактура выданный (создание)'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Счет-фактура выданный (создание)' в течение 20 секунд
	Тогда открылось окно 'Реализация товаров * от *'
	И я снимаю флаг 'Вернуть многооборотную тару'
	И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
	И элемент формы с именем "СкидкаСумма" стал равен '0,00'
	И элемент формы с именем "СуммаНДС" стал равен '300,00'
	И элемент формы с именем "СуммаДокумента" стал равен '1 800,00'
	И элемент формы с именем "ИтогоВес" стал равен '10,600'
	И я устанавливаю флаг 'Вернуть многооборотную тару'
	И элемент формы с именем "ВернутьМногооборотнуюТару" стал равен 'Да'
	И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
	И элемент формы с именем "СкидкаСумма" стал равен '0,00'
	И элемент формы с именем "СуммаНДС" стал равен '266,67'
	И элемент формы с именем "СуммаДокумента" стал равен '1 600,00'
	И элемент формы с именем "ИтогоВес" стал равен '10,600'
	И в поле 'Комментарий' я ввожу текст 'Проверка реализации с возвратной тарой'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Реализация товаров * от * *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 017.3. CARC. Создание причин возврата

	Дано я удаляю объекты "Справочники.к2ПричиныКорректировокДокументов" без контроля ссылок
	И Я создаю причину возврата "Изменение количества с тарой" с комментарием "Изменение количества с тарой" для продаж

Сценарий: 017.4. CARC. Корректировка реализации

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Статус'       | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | 'Сформирована' | '1 600,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Корректировка реализации товаров'
	Тогда открылось окно 'Корректировка реализации товаров (создание)'
	И элемент формы "Организация" стал равен "Организация"
	И элемент формы с именем "Контрагент" стал равен 'Ашан(продажа тары)'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Ашана (продажа тары)'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Ашан(продажа тары)'
	И таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'      | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'                | 'Вес, кг' |
		| '10,000'     | 'Творожный сырок'   | 'шт'  | '20%'   | '150,00'               | '<не используются>' | '1 500,00'   | '<не используются>' | '10,000, шт'     | '150,00'    | '250,00'    | '1 500,00'   | 'Склад с ячейкой тары' | '10'      |
		| '1,000'      | 'Коробка синяя'     | 'шт'  | '20%'   | '100,00'               | '<не используются>' | '100,00'     | '<не используются>' | '1,000, шт'      | '100,00'    | '16,67'     | '100,00'     | 'Склад с ячейкой тары' | '0,1'     |
		| '1,000'      | 'Пластиковый палет' | 'шт'  | '20%'   | '200,00'               | '<не используются>' | '200,00'     | '<не используются>' | '1,000, шт'      | '200,00'    | '33,33'     | '200,00'     | 'Склад с ячейкой тары' | '0,5'     |
	И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
	И элемент формы с именем "СкидкаСумма" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаСНДСУвеличение" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаНДСУвеличение" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаСНДСУменьшение" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаНДСУменьшение" стал равен  '0,00'
	И элемент формы с именем "СуммаДокумента" стал равен '1 600,00'
	И элемент формы с именем "СуммаНДС" стал равен '266,67'
	И элемент формы с именем "Вес" стал равен '10,600'
	И элемент формы с именем "ВернутьМногооборотнуюТару" стал равен 'Да'
	И из выпадающего списка "Вид корректировки" я выбираю точное значение 'Корректировка по соглашению сторон'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Вес, кг' | 'Всего, RUB' | 'Ед.' | 'Количество' | 'Номенклатура'    | 'Серия'             | 'Склад'                | 'НДС, RUB' | 'Сумма, RUB' | 'Характеристика'    | 'Цена с учетом скидок' | 'Цена, RUB' |
		| '20%'   | '10,000, шт'     | '10'      | '1 500,00'   | 'шт'  | '10,000'     | 'Творожный сырок' | '<не используются>' | 'Склад с ячейкой тары' | '250,00'    | '1 500,00'   | '<не используются>' | '150,00'               | '150,00'    |
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '5,000'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Вес, кг' | 'Всего, RUB' | 'Ед.' | 'Количество' | 'Номенклатура'  | 'Серия'             | 'Склад'                | 'НДС, RUB' | 'Сумма, RUB' | 'Характеристика'    | 'Цена с учетом скидок' | 'Цена, RUB' |
		| '20%'   | '1,000, шт'      | '0,1'     | '100,00'     | 'шт'  | '1,000'      | 'Коробка синяя' | '<не используются>' | 'Склад с ячейкой тары' | '16,67'     | '100,00'     | '<не используются>' | '100,00'               | '100,00'    |
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '2,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '150,00'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Вес, кг' | 'Всего, RUB' | 'Ед.' | 'Количество' | 'Номенклатура'      | 'Серия'             | 'Склад'                | 'НДС, RUB' | 'Сумма, RUB' | 'Характеристика'    | 'Цена с учетом скидок' | 'Цена, RUB' |
		| '20%'   | '1,000, шт'      | '0,5'     | '200,00'     | 'шт'  | '1,000'      | 'Пластиковый палет' | '<не используются>' | 'Склад с ячейкой тары' | '33,33'     | '200,00'     | '<не используются>' | '200,00'               | '200,00'    |
	И в таблице "Товары" в поле 'Количество' я ввожу текст '2,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я перехожу к закладке "Расхождения"
	И в таблице "Расхождения" я нажимаю на кнопку 'Заполнить расхождения'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'      | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'                | 'Вес, кг' | 'Документ резерва' |
		| '5,000'      | 'Творожный сырок'   | 'шт'  | '20%'   | '150,00'               | '<не используются>' | '750,00'     | '<не используются>' | '5,000, шт'      | '150,00'    | '125,00'   | '750,00'     | 'Склад с ячейкой тары' | '5'       | ''                 |
		| '2,000'      | 'Коробка синяя'     | 'шт'  | '20%'   | '150,00'               | '<не используются>' | '300,00'     | '<не используются>' | '2,000, шт'      | '150,00'    | '50,00'    | '300,00'     | 'Склад с ячейкой тары' | '0,2'     | ''                 |
		| '2,000'      | 'Пластиковый палет' | 'шт'  | '20%'   | '200,00'               | '<не используются>' | '400,00'     | '<не используются>' | '2,000, шт'      | '200,00'    | '66,67'    | '400,00'     | 'Склад с ячейкой тары' | '1'       | ''                 |
	Тогда таблица "Расхождения" стала равной:
		| 'Количество' | 'Номенклатура'      | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Серия'             | 'Ед.' | 'В ед. хранения' | 'Цена'  | 'Сумма'   | 'Сумма НДС' | 'Всего'   | 'Склад'                | 'Причина' |
		| '-5,000'     | 'Творожный сырок'   | '20%'   | ''                     | '<не используются>' | '<не используются>' | 'шт'  | '-5,000, шт'     | ''      | '-750,00' | '-125,00'   | '-750,00' | 'Склад с ячейкой тары' | ''        |
		| '1,000'      | 'Коробка синяя'     | '20%'   | '50,00'                | '<не используются>' | '<не используются>' | 'шт'  | '1,000, шт'      | '50,00' | '200,00'  | '33,33'     | '200,00'  | 'Склад с ячейкой тары' | ''        |
		| '1,000'      | 'Пластиковый палет' | '20%'   | ''                     | '<не используются>' | '<не используются>' | 'шт'  | '1,000, шт'      | ''      | '200,00'  | '33,34'     | '200,00'  | 'Склад с ячейкой тары' | ''        |
	И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
	И элемент формы с именем "СкидкаСумма" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаСНДСУвеличение" стал равен '200,00'
	И элемент формы с именем "ИтогСуммаНДСУвеличение" стал равен '33,33'
	И элемент формы с именем "ИтогСуммаСНДСУменьшение" стал равен '750,00'
	И элемент формы с именем "ИтогСуммаНДСУменьшение" стал равен '125,00'
	И элемент формы с именем "СуммаДокумента" стал равен '1 050,00'
	И элемент формы с именем "СуммаНДС" стал равен '175,00'
	И элемент формы с именем "Вес" стал равен '6,200'
	И в таблице "Расхождения" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Всего'   | 'Ед.' | 'Количество' | 'Номенклатура'    | 'Серия'             | 'Склад'                | 'Сумма'   | 'Сумма НДС' | 'Характеристика'    |
		| '20%'   | '-5,000, шт'     | '-750,00' | 'шт'  | '-5,000'     | 'Творожный сырок' | '<не используются>' | 'Склад с ячейкой тары' | '-750,00' | '-125,00'   | '<не используются>' |
	И в таблице "Расхождения" из выпадающего списка "Причина" я выбираю по строке 'Изменение количества с тарой'
	И в таблице "Расхождения" я завершаю редактирование строки
	И в таблице "Расхождения" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Всего'  | 'Ед.' | 'Количество' | 'Номенклатура'  | 'Серия'             | 'Склад'                | 'Сумма'  | 'Сумма НДС' | 'Характеристика'    | 'Цена'  | 'Цена с учетом скидок' |
		| '20%'   | '1,000, шт'      | '200,00' | 'шт'  | '1,000'      | 'Коробка синяя' | '<не используются>' | 'Склад с ячейкой тары' | '200,00' | '33,33'     | '<не используются>' | '50,00' | '50,00'                |
	И в таблице "Расхождения" из выпадающего списка "Причина" я выбираю по строке 'Изменение количества с тарой'
	И в таблице "Расхождения" я завершаю редактирование строки
	И в таблице "Расхождения" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Всего'  | 'Ед.' | 'Количество' | 'Номенклатура'      | 'Серия'             | 'Склад'                | 'Сумма'  | 'Сумма НДС' | 'Характеристика'    |
		| '20%'   | '1,000, шт'      | '200,00' | 'шт'  | '1,000'      | 'Пластиковый палет' | '<не используются>' | 'Склад с ячейкой тары' | '200,00' | '33,34'     | '<не используются>' |
	И в таблице "Расхождения" из выпадающего списка "Причина" я выбираю по строке 'Изменение количества с тарой'
	И в таблице "Расхождения" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Оформить счет-фактуру'
	Тогда открылось окно 'Счет-фактура выданный (создание)'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Счет-фактура выданный (создание)' в течение 20 секунд
	Тогда открылось окно 'Корректировка реализации товаров * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 017.5. CARC. Печать по РТУ - ТТН

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Статус'       | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | 'Сформирована' | '1 600,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Товарно-транспортная накладная (1-Т)'
	Тогда открылось окно 'Реализация товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТТН для РТУ с тарой"
	И Я закрываю окно 'Реализация товаров *'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 017.6. CARC. Печать по РТУ - М-15

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Статус'       | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | 'Сформирована' | '1 600,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Накладная (М-15)'
	Тогда открылось окно 'Реализация товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "М-15 для РТУ с тарой"
	И Я закрываю окно 'Реализация товаров *'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 017.7. CARC. Печать по РТУ - Счет на оплату - не выводить скидки

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Статус'       | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | 'Сформирована' | '1 600,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Счет на оплату (не выводить скидки)'
	Тогда открылось окно 'Реализация товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Счет на оплату - не выводить скидки для РТУ с тарой"
	И Я закрываю окно 'Реализация товаров *'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 017.8. CARC. Печать по РТУ - Счет на оплату - выводить скидки

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Статус'       | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | 'Сформирована' | '1 600,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Счет на оплату (выводить скидки)'
	Тогда открылось окно 'Реализация товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Счет на оплату - выводить скидки для РТУ с тарой"
	И Я закрываю окно 'Реализация товаров *'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 017.9. CARC. Печать по РТУ - ТОРГ-12

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Статус'       | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | 'Сформирована' | '1 600,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Товарная накладная (ТОРГ-12)'
	Тогда открылось окно 'Реализация товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТОРГ-12 для РТУ с тарой"
	И Я закрываю окно 'Реализация товаров *'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 017.10. CARC. Печать по РТУ - счет-фактура

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Статус'       | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | 'Сформирована' | '1 600,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Счет-фактура'
	Тогда открылось окно 'Реализация товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Счет-фактура для РТУ с тарой"
	И Я закрываю окно 'Реализация товаров *'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'
	
Сценарий: 017.11. CARC. Печать по РТУ - УПД

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Статус'       | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | 'Сформирована' | '1 600,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Универсальный передаточный документ (УПД)'
	Тогда открылось окно 'Реализация товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "УПД для РТУ с тарой"
	И Я закрываю окно 'Реализация товаров *'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'
	
Сценарий: 017.12. CARC. Печать по РТУ - Передача многооборотной тары

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Статус'       | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | 'Сформирована' | '1 600,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Передача многооборотной тары'
	Тогда открылось окно 'Реализация товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Передача многооборотной тары"
	И Я закрываю окно 'Реализация товаров *'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 017.13. CARC. Печать по корректировке - ТОГР-12

	И В командном интерфейсе я выбираю 'Заказы' 'Корректировки реализации товаров'
	Тогда открылось окно 'Корректировки реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | '1 050,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Товарная накладная (ТОРГ-12)'
	Тогда открылось окно 'Корректировка реализации товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТОРГ-12 для корректировки с тарой"
	И Я закрываю окно 'Корректировка реализации товаров *'
	Тогда открылось окно 'Корректировки реализации товаров'
	И Я закрываю окно 'Корректировки реализации товаров'

Сценарий: 017.14. CARC. Печать по корректировке - УПД

	И В командном интерфейсе я выбираю 'Заказы' 'Корректировки реализации товаров'
	Тогда открылось окно 'Корректировки реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | '1 050,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Универсальный передаточный документ (УПД)'
	Тогда открылось окно 'Корректировка реализации товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "УПД для корректировки с тарой"
	И Я закрываю окно 'Корректировка реализации товаров *'
	Тогда открылось окно 'Корректировки реализации товаров'
	И Я закрываю окно 'Корректировки реализации товаров'

Сценарий: 017.15. CARC. Печать по корректировке - Счет-фактура

	И В командном интерфейсе я выбираю 'Заказы' 'Корректировки реализации товаров'
	Тогда открылось окно 'Корректировки реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | '1 050,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Счет-фактура'
	Тогда открылось окно 'Корректировка реализации товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Счет-фактура для корректировки с тарой"
	И Я закрываю окно 'Корректировка реализации товаров *'
	Тогда открылось окно 'Корректировки реализации товаров'
	И Я закрываю окно 'Корректировки реализации товаров'

Сценарий: 017.16. CARC. Печать по корректировке - УКД

	И В командном интерфейсе я выбираю 'Заказы' 'Корректировки реализации товаров'
	Тогда открылось окно 'Корректировки реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | '1 050,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Универсальный корректировочный документ (УКД)'
	Тогда открылось окно 'Корректировка реализации товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "УКД для корректировки с тарой"
	И Я закрываю окно 'Корректировка реализации товаров *'
	Тогда открылось окно 'Корректировки реализации товаров'
	И Я закрываю окно 'Корректировки реализации товаров'
	
Сценарий: 017.17. CARC. Печать по корректировке - ТТН

	И В командном интерфейсе я выбираю 'Заказы' 'Корректировки реализации товаров'
	Тогда открылось окно 'Корректировки реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Организация' | 'Соглашение'                          | 'Сумма'         | 'Точка доставки'     |
		| 'Ашан(продажа тары)' | 'Организация' | 'Соглашение для Ашана (продажа тары)' | '1 050,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку 'Товарно-транспортная накладная (1-Т)'
	Тогда открылось окно 'Корректировка реализации товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТТН для корректировки с тарой"
	И Я закрываю окно 'Корректировка реализации товаров *'
	Тогда открылось окно 'Корректировки реализации товаров'
	И Я закрываю окно 'Корректировки реализации товаров'

Сценарий: 017.18. CARC. Завершение

	И я закрываю сеанс TESTCLIENT